KashierDevelopersKashier Developers

Add a beneficiary

curl -X POST "https://test-api.kashier.io/v2/parties" \  -H "Content-Type: application/json" \  -d '{    "type": "beneficiary",    "name": "Jhon Doe",    "phoneNumber": "01555539512",    "countryCode": "+20",    "emailAddress": "[email protected]",    "method": {      "type": "bank",      "credentials": {        "recipientFullName": "Jhon Doe",        "bank": "CIB",        "accountNumber": "010001000"      }    },    "labels": [      "vip"    ],    "preferredCommunicationChannel": "sms"  }'
{  "body": {    "_id": "67bde55fd5a33d00120b202d",    "type": "beneficiary",    "name": "Jhon Doe",    "phoneNumber": "01555539512",    "countryCode": "+20",    "emailAddress": "[email protected]",    "customerId": "B-1740498271115",    "merchantId": "MID-XXXXX-XXX",    "transferMethod": "bank",    "credentials": {      "bank": {        "recipientFullName": "Jhon Doe",        "bank": "CIB",        "accountNumber": "010001000"      }    },    "labels": [      "vip"    ],    "preferredCommunicationChannel": "sms",    "createdByUserId": "67a0b85fbc8100100f70bde0",    "createdAt": "2025-02-25T15:44:31.120Z",    "updatedAt": "2025-02-25T15:44:31.120Z"  },  "message": "success"}

Saves a new beneficiary. Kashier assigns the customerId (a B- prefixed value) and returns the record with the payment method echoed back as transferMethod plus its credentials under credentials.

Authorization

secretKey
Authorization<token>

Merchant secret key used to identify the merchant, obtained from Kashier's dashboard. Pass the raw secret key value in the Authorization header (NOT a "Bearer" token).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

The body used to add or update a beneficiary.

Response Body

application/json

application/json

application/json

application/json

application/json

POST
/v2/parties